<!DOCTYPE html>
<html lang="es-ES">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Nota de Anticipo de Clientes y Pr&eacute;stamos</title>
<link href="../../maincss.css" rel="stylesheet" type="text/css" />
<link href="../../printcss.css" rel="stylesheet" type="text/css" media="print" />

</head>
<?php
include "../../conn.php";
include "../../class.nroenletraver2.php";
include "../../general.php";
include "../../token.php";

$rep=$_GET["rep"];
$tipo=$_GET["tipo"];

//index.php?pkyEarlyCollection=2&printAccountEntry=1&user=Luigi&token=123456
$cod_anticipo = $_GET["pkyEarlyCollection"];
$muestra_asiento = $_GET["printAccountEntry"];
//$muestra_asiento = 1;
//$mostrar_asiento_cc = $_GET["showCC"];
//$usuario = $_GET["user"];
//$n_decimales = 6;
if($rep == 1) { $muestra_cc = 1; }
if($rep == 2) { $muestra_cc = 0; }

?>
<body>

<?php
	
// Inicio impresion nota de anticipo de clientes y prestamos

$result3 = mysqli_query($link, "select a.pkyEarlyCollection as cod_anticipo, a.fldDocumentNumber as nro_doc, a.fldDate as fecha, a.fldPaymentDate as fecha_pago, b.fldName as concepto, a.codClient as cod_cli, a.codEmployee as cod_emp, c.fldName as via, a.codCurrency as cod_moneda, d.fldName as moneda, a.codExchangeRate as cod_tc, a.fldTotal as total, a.fldIsPayed as sino, a.codAccountEntry as cod_asiento, a.codAccountsPayable as cod_cxp, a.codBankMovement as cod_mov_banco, a.codCheck as cod_cheque, a.codPettyCashMovement as cod_mov_caja, a.txtDescription as glosa, a.sysEnabled as enabled, a.sysAuthorized as authorized, g.fldName as usuario_reg, a.fldParentComponent as papa, a.cosComponentKey as cod_papa, a.sysContext as cod_contexto, s.fldName as contexto 
from payEarlyCollection a, payAccountsPayableConcept b, payPaymentRoute c, actCurrency d,  accGroup g, srvContext s
where
a.codConcept = b.pkyAccountsPayableConcept and 
a.codRoute = c.pkyPaymentRoute and
a.codCurrency = d.pkyCurrency and 
a.sysAuthorizationGroup = g.pkyGroup and 
a.sysContext = s.pkyContext and 
a.pkyEarlyCollection = '$cod_anticipo';");
	while ($row = mysqli_fetch_array($result3)) {
	$nro_doc = $row['nro_doc'];
	$fecha = $row['fecha'];
	$fecha_pago = $row['fecha_pago'];
	$concepto = $row['concepto'];
	$cod_cli = $row['cod_cli'];
	$cod_emp = $row['cod_emp'];
	$via_pago = $row['via'];
	$cod_moneda = $row['cod_moneda'];
	$moneda = $row['moneda'];
	$cod_tc = $row['cod_tc'];
	$total = $row['total'];
	$cancelado = $row['sino'];
	$cod_asiento = $row['cod_asiento'];
	$cod_mov_banco = $row['cod_mov_banco'];
	$cod_cheque = $row['cod_cheque'];
	$cod_mov_caja = $row['cod_mov_caja'];
	$cod_cxp = $row['cod_cxp'];
	$glosa = $row['glosa'];
	$glosa = nl2br($glosa);
	$glosa = str_replace('\n','<br />',$glosa);
	$usuario_reg = $row['usuario_reg'];
	$enabled = $row['enabled'];
	$authorized = $row['authorized'];
	$cod_contexto = $row['cod_contexto'];
	$contexto = $row['contexto'];
	//para enlazar al que genero el asiento
	$papa_componente = $row['papa'];
	$papa_codigo = $row['cod_papa'];
	//$usuario = $usuario_det;
	include "../../generadopor.php";
	}
	mysqli_free_result($result3);

$resulttc = mysqli_query($link, "select pkyExchangeRate as cod_tc, fldDate as fecha, fldTime as hora
from
actExchangeRate
where
pkyExchangeRate = '$cod_tc';");
while ($row = mysqli_fetch_array($resulttc)) {
	$tc_fecha = $row['fecha'];
	$tc_hora = $row['hora'];
}
mysqli_free_result($resulttc);

$resulttcdet = mysqli_query($link, "select a.pkyExchangeRateDetail as cod_tc_det, a.codBaseCurrency as cod_mon_target, b.fldName as mon_target, b.txtDescription as nom_mon_target, a.codTargetCurrency as cod_mon_base, c.fldName as mon_base, c.txtDescription as nom_mon_base, a.fldRate as tasa
from
actExchangeRateDetail a, actCurrency b, actCurrency c
where
a.codExchangeRate = '$cod_tc' and 
a.codBaseCurrency = '$cod_moneda_principal' and 
a.codBaseCurrency = b.pkyCurrency and 
a.codTargetCurrency = c.pkyCurrency 
order by cod_mon_target, cod_mon_base;");
$ma_tc = array();
$m = 1;
while ($row = mysqli_fetch_array($resulttcdet)) {
	$ma_tc [$m][1] = $row['mon_base'];
	$ma_tc [$m][2] = $row['mon_target'];
	$ma_tc [$m][3] = $row['tasa'];
	$m++;
}
mysqli_free_result($resulttcdet);
$fin_m = $m - 1;

$resultcli = mysqli_query($link, "select fldName as empresa
from
agnCompany
where
pkyCompany = '$cod_cli';");
while ($row = mysqli_fetch_array($resultcli)) {
	$empresa = $row['empresa'];
}
mysqli_free_result($resultcli);

$resultemp = mysqli_query($link, "select case when fldMiddleName is NULL then concat(fldLastName,', ',fldFirstName) else concat(fldLastName,' ',fldMiddleName,', ',fldFirstName) end as empleado
from
agnPerson
where
pkyPerson = '$cod_emp';");
while ($row = mysqli_fetch_array($resultemp)) {
	$empleado = $row['empleado'];
}
mysqli_free_result($resultemp);


if($cancelado == 0) {
	$nom_cancelado = 'No';
} else {
	$nom_cancelado = 'Si';
}

//datos de cheque segun cod_cheque
$resultcheque = mysqli_query($link, "select fldNumber as nro_cheque, fldName as nom_giro_cheque, fldForeignAccount as banco_cta
from tryCheck 
where
pkyCheck = '$cod_cheque';");
while ($row = mysqli_fetch_array($resultcheque)) {
	$nro_cheque = $row['nro_cheque'];
	$nom_giro_cheque = $row['nom_giro_cheque'];
	$banco_cta = $row['banco_cta'];
}
mysqli_free_result($resultcheque);

//datos del banco y cta segun el cheque
$resultbanco = mysqli_query($link, "select b.fldName as banco
from 
tryCheck a, tryBank b
where
a.codBank = b.pkyBank and 
a.pkyCheck = '$cod_cheque';");
while ($row = mysqli_fetch_array($resultbanco)) {
	$nom_banco = $row['banco'];
	//$banco_cta = $row['nro_cta'];
}
mysqli_free_result($resultbanco);

//datos del banco y cta segun el movimiento bancario
$resultbanco2 = mysqli_query($link, "select b.fldName as banco, c.fldNumber as nro_cta
from
tryBankMovement a, tryBank b, tryBankDetail c
where
a.pkyBankMovement = '$cod_mov_banco' and 
a.codBank = b.pkyBank and 
a.codBankAccount = c.pkyBankDetail;");
while ($row = mysqli_fetch_array($resultbanco2)) {
	$banco_mov = $row['banco'];
	$banco_cta_mov = $row['nro_cta'];
}
mysqli_free_result($resultbanco2);

//convierte el total en literal
	$letras=new NroEnLetra($total,2);
	
	$mostrar_letras = ucfirst($letras->getLetra());
	
	$busca_espacio = substr($mostrar_letras,-6,1);
	if($busca_espacio == ' ') {
		$fin_letras = substr($mostrar_letras,-5);
		$mostrar_letras = substr($mostrar_letras,0,-5);
		$mostrar_letras = $mostrar_letras .'0'. $fin_letras;
	}
	$resultmoneda = mysqli_query($link, "select txtDescription as nom_moneda
	from actCurrency
	where
	pkyCurrency = '$cod_moneda';");
	while ($row = mysqli_fetch_array($resultmoneda)) {
		$nom_moneda_letras_tot = $row['nom_moneda'];
	}
	mysqli_free_result($resultmoneda);
?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><?php echo $mostrar_logo_reportes; ?>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?></b>
</td></tr></table>
<p><br /><center><font color="#000099" size="+1"><b>Nota de Anticipo de Clientes y Pr&eacute;stamos</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>	
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="25%"><b>Cod. Reg.: </b><?php echo $cod_anticipo; ?></TD>
        <TD width="25%"><b>Nro. Doc.: </b><?php echo $nro_doc; ?></TD>
        <TD width="25%"><b>Moneda: </b><?php echo $moneda; ?></TD>
        <TD width="25%"><b>Fecha de Reg.: </b><?php echo $fecha; ?></TD>
        </TR>
        <TR>
        <TD><b>Concepto: </b><?php echo $concepto; ?></TD>
        <TD><b>V&iacute;a: </b><?php echo $via_pago; ?></TD>
        <?php if($empresa != NULL) { ?>
        <TD><b>Empresa: </b><?php echo $empresa; ?></TD>
        <?php } else { ?>
        <TD><b>Empleado: </b><?php echo $empleado; ?></TD>
        <?php } ?>
        <TD><b>Fecha Prog. Pago: </b><?php echo $fecha_pago; ?></TD>
        </TR>
		
        <TR> 
        <TD><b>Asiento: </b><a href="../../ModuleAccounting/VoucherAccountEntry/index.php?pkyAccountEntry=<?php echo $cod_asiento; ?>&showCC=<?php echo $mostrar_asiento_cc; ?>&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Asiento Contable"><?php echo $cod_asiento; ?></a>
		<table border="0" align="right"><tr><td>
		<?php if($muestra_asiento == 0) { ?>
			<a href="../../ModulePayments/VoucherEarlyCollection/index.php?pkyEarlyCollection=<?php echo $cod_anticipo; ?>&printAccountEntry=1&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Mostrar Asiento Contable" style="text-decoration:none; color:#0000FF; font-style:normal;"> + </a>
		<?php } else { ?>
			<a href="../../ModulePayments/VoucherEarlyCollection/index.php?pkyEarlyCollection=<?php echo $cod_anticipo; ?>&printAccountEntry=0&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Ocultar Asiento Contable" style="text-decoration:none; color:#0000FF; font-style:normal;"> - </a>
        <?php } ?>
		</td></tr></table>
		</TD>
        <TD><b>Cuenta x Pagar: </b><a href="../../ModulePayments/VoucherAccountsPayable/index.php?pkyAccountsPayable=<?php echo $cod_cxp; ?>&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Nota de Cuenta por Pagar"><?php echo $cod_cxp; ?></a></TD>
        <TD><b>Mov. de Caja: </b><a href="../../ModulePettyCash/VoucherPettyCashMovement/index.php?pkyPettyCashMovement=<?php echo $cod_mov_caja; ?>&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Nota de Movimiento de Caja"><?php echo $cod_mov_caja; ?></a></TD>
        <TD><b>Mov. de Banco: </b><a href="../../ModuleTreasury/VoucherBankMovement/index.php?pkyBankMovement=<?php echo $cod_mov_banco; ?>&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Nota de Movimiento Bancario"><?php echo $cod_mov_banco; ?></a> <?php echo $banco_mov; ?> <?php echo $banco_cta_mov; ?></TD>
        </TR>
        <TR>
        <?php if($cod_cheque != NULL) { ?> 
        <TD><b>Cheque: </b><a href="../../ModuleTreasury/VoucherCheck/index.php?pkyCheck=<?php echo $cod_cheque; ?>&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Cheque"><?php echo $cod_cheque; ?></a> - <?php echo $nro_cheque; ?> - <?php echo $nom_banco; ?> (<?php echo $banco_cta; ?>) - <?php echo $nom_giro_cheque; ?></TD>
        <?php } else { ?>
        <TD><b>Cheque: </b><?php echo $cod_cheque; ?></TD>
        <?php } ?>
        <TD><b>Cancelado: </b><?php echo $nom_cancelado; ?></TD>
        <TD><b>Contexto: </b><?php echo $cod_contexto; ?> - <?php echo $contexto; ?></TD>
        <TD><b>Generado Por: </b><?php echo $papa_enlace; ?></TD>
        </TR>
        <TR> 
        <TD colspan="4"><b>Glosa: </b><?php echo $glosa; ?></TD>
        </TR>
        <TR BGCOLOR="#ffcccc">
        <TD colspan="3"><b>Total &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <?php echo $mostrar_letras; ?> <?php echo $nom_moneda_letras_tot; ?></b></TD>
    	<TD align="right"><b><?php echo number_format($total, $n_decimales); ?></b></TD>
        </TR>
    </table>

</td>
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $cod_tc; ?>&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Tipo de Cambio"><?php echo $cod_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
</tr>
</table>
<br />

<?php
    if($enabled == 0){
				printf("<table border='0' align='center' cellpadding='2' width='600'><tr><td align='center'><font color='#FF0000' size='+1'>REGISTRO ANULADO</font></td></tr></table>");
			}
	if($authorized == 0){
				printf("<table border='0' align='center' cellpadding='2' width='600'><tr><td align='center'><font color='#FF0000' size='+1'>REGISTRO PENDIENTE DE AUTORIZACI&Oacute;N</font></td></tr></table>");
			}
?>
<?php
if($muestra_asiento == 1) {//if muestra_asiento 1
	
	if($cod_asiento != NULL){//if cod_asiento
		$result3 = mysqli_query($link, "select a.pkyAccountEntry as cod_mov_det, a.fldTransactionNumber as nro_trans, a.fldDocumentNumber as nro_doc, a.fldDate as fecha, b.fldName as tipo, a.codExchangeRate as cod_tc, a.txtDescription as glosa, a.sysEnabled as enabled, a.sysAuthorized as authorized
			from actAccountEntry a, actAccountEntryType b
			where
			a.pkyAccountEntry = '$cod_asiento' and
			a.codType = b.pkyAccountEntryType;");
		while ($row = mysqli_fetch_array($result3)) {
		$cod_asiento2 = $row['cod_mov_det'];
		$nro_trans2 = $row['nro_trans'];
		$nro_doc2 = $row['nro_doc'];
		$fecha_asiento2 = $row['fecha'];
		$tipo_asiento2 = $row['tipo'];
		$cod_tc2 = $row['cod_tc'];
		$glosa2 = $row['glosa'];
		$glosa2 = nl2br($glosa2);
		$glosa2 = str_replace('\n','<br />',$glosa2);
		$enabled2 = $row['enabled'];
		$authorized2 = $row['authorized'];
		}
		mysqli_free_result($result3);
		
		$result6 = mysqli_query($link, "select a.pkyAccountEntryDetail as cod_asiento_det, a.codAccountEntry as cod_asiento, a.codAccount as cod_cuenta, b.fldName as nom_cuenta, a.fldDebit as debe, a.fldCredit as haber
			from actAccountEntryDetail a, actAccount b
			where
			a.codAccountEntry = '$cod_asiento2' and
			a.codAccount = b.pkyAccount 
			order by haber, cod_asiento_det;");
		
		if($muestra_cc == 1){
		$texto_asiento = '<a href="../../ModulePayments/VoucherEarlyCollection/index.php?pkyEarlyCollection='.$cod_anticipo.'&printAccountEntry=1&rep=2&user='.$usuario.'&token='.$token.'" title="Asiento Contable, Sin Centros de Costo" style="text-decoration:none; color:#000099; font-style:normal;">Asiento Contable, Con Centros de Costo</a>';
		} else {
		$texto_asiento = '<a href="../../ModulePayments/VoucherEarlyCollection/index.php?pkyEarlyCollection='.$cod_anticipo.'&printAccountEntry=1&rep=1&user='.$usuario.'&token='.$token.'" title="Asiento Contable, Con Centros de Costo" style="text-decoration:none; color:#000099; font-style:normal;">Asiento Contable</a>';
		}
		$control_vista_asiento = 1;
	} else {//else cod_asiento
		$texto_asiento = "Asiento Contable<br /><br /><table border='0' align='center' cellpadding='2' width='600'><tr><td align='center'><font color='#FF0000' size='+1'>NO EXISTE ASIENTO CONTABLE ASOCIADO A ESTE MOVIMIENTO</font></td></tr></table>";
		$enabled2 = 1;
		$authorized2 = 1;
		$control_vista_asiento = 0;
	}//fin if else cod_asiento
	
	
?>
<p>&nbsp;</p>
<p><center><font color="#000099"><b><?php echo $texto_asiento; ?></b></font></center></p>
<?php
if($control_vista_asiento == 1) {//if $control_vista_asiento = 1
?>
<table border="1" align="center" cellpadding="2" width="100%">
	<TR> 
	<TD width="25%"><b>Cod. Reg.: </b><?php echo $cod_asiento2; ?></TD>
    <TD width="25%"><b>Nro. Doc.: </b><?php echo $nro_doc2; ?></TD>
    <TD width="25%"><b>Moneda: </b><?php echo $nom_moneda_principal; ?></TD>
    <TD width="25%"><b>Fecha de Reg.: </b><?php echo $fecha_asiento2; ?></TD>
    </TR>
    <TR>
    <TD colspan="2"><b>Tipo de Asiento: </b><?php echo $tipo_asiento2; ?></TD>
    <TD colspan="2"><b>Nro. Transacci&oacute;n: </b><?php echo $nro_trans2; ?></TD>
    </TR>
    <TR>
    <TD colspan="4"><b>Glosa: </b><?php echo $glosa2; ?></TD>
    </tr>
</table>

<br />
<table border="1" align="center" cellpadding="2" width="100%">
 	<thead>
    <TR> 
    <TD align="center"><b>Cod.</b></TD>
    <TD align="center"><b>Cod. Asiento</b></TD>
    <TD align="center"><b>Cod. Cuenta</b></TD>
    <TD align="center"><b>Cuenta</b></TD>
    <TD align="center"><b>Debe</b></TD>
    <TD align="center"><b>Haber</b></TD>
    </TR>
    </thead>
    <tbody class="marcafila">
    <?php
    $color = 2;
	$suma_debe = 0;
	$suma_haber = 0;
	while ($row = mysqli_fetch_array($result6)) { //while 6
		$cod_detalle_ = $row['cod_asiento_det'];
		$cod_asiento_ = $row['cod_asiento'];//cod asiento
		$cod_cuenta_ = $row['cod_cuenta'];//cod cuenta
		$nom_cuenta_ = $row['nom_cuenta'];//nombre cuenta
		if($mi_cod_pais == 1) {
		$debe_ = $row['debe'];
		$haber_ = $row['haber'];
		}
		if($mi_cod_pais == 176) {
		$debe_ = round($row['debe'], $n_decimales);
		$haber_ = round($row['haber'], $n_decimales);
		}
			$result7 = mysqli_query($link, "select a.codCostCenter as cod_cc, b.fldName as nombre, b.codType as cod_tipo_cc, c.fldName as tipo_cc, a.fldPercent as porcentaje
			from
			actAccountEntryDetailCC a, actCostCenter b, actCostCenterType c
			where
			a.codAccountEntryDetail = '$cod_detalle_' and 
			a.codCostCenter = b.pkyCostCenter and 
			b.codType = c.pkyCostCenterType;");
			$matriz_cc = array();
			$c = 1;
			while ($row = mysqli_fetch_array($result7)) {
			$matriz_cc [$c][1] = $row['cod_cc'];
			$matriz_cc [$c][2] = $row['nombre'];
			$matriz_cc [$c][3] = $row['porcentaje'];
			$matriz_cc [$c][4] = $row['porcentaje'] / 100 * $debe_;
			$matriz_cc [$c][5] = $row['porcentaje'] / 100 * $haber_;
			$matriz_cc [$c][6] = $row['cod_tipo_cc'];
			$matriz_cc [$c][7] = $row['tipo_cc'];
			$c++;
			}
			mysqli_free_result($result7);
			$fin_cc = $c - 1;
			
		if($color % 2 == 0) { //if color
		printf("<tr BGCOLOR='#e2e7fa'><td align='center'>%s</td>", $cod_detalle_);//cod 
		} else {
		printf("<tr><td align='center'>%s</td>", $cod_detalle_);//cod
		} //cierra if color
		printf("<td align='center'>%s</td>", $cod_asiento_);//cod asiento
		printf("<td align='center'>%s</td>", $cod_cuenta_);//cod cuenta
		if($muestra_cc == 0) {//if muestra_cc = 0
			if($haber_ == 0) { //if identado haber
				printf("<td align='left'>%s</td>", $nom_cuenta_);//nombre cuenta
			} else {
				printf("<td align='left'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;%s</td>", $nom_cuenta_);//nombre cuenta
			} //fin if identado haber
		} else {
			$sum_porc_cc = 0;
			$sum_cc = 0;
			if($haber_ == 0) { //if identado haber2
				echo "<td align='left'>" .$nom_cuenta_. "<br/>";
			} else {
				echo "<td align='left'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" .$nom_cuenta_. "<br/>";
			} //fin if identado haber2
			$fila_titulo_cc = 0;
			echo "<table border='0' align='left' cellpadding='2'>";
			for($c = 1; $c <= $fin_cc; $c++){//for $c
				//si el cod_tipo es diferente de 0 para mostrar el titulo en cada grupo de cc
				if($fila_titulo_cc != $matriz_cc [$c][6]){
					echo "<tr><td colspan='4'><b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" .$matriz_cc [$c][7]. "</b></td></tr>";
					$fila_titulo_cc = $matriz_cc [$c][6];
				}
				echo "<tr><td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" .$matriz_cc [$c][1]. "</td>";
				echo "<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" .$matriz_cc [$c][2]. "</td>";
				echo "<td align='right'>&nbsp;&nbsp;&nbsp;&nbsp;" .number_format($matriz_cc [$c][3], $n_descuento). "%" . "</td>";
				if($matriz_cc [$c][4] != 0){
					echo "<td align='right'>&nbsp;&nbsp;&nbsp;&nbsp;" .number_format($matriz_cc [$c][4], $n_decimales). "</td>";
					$sum_cc = $sum_cc + $matriz_cc [$c][4];
				} else {
					echo "<td align='right'>&nbsp;&nbsp;&nbsp;&nbsp;" .number_format($matriz_cc [$c][5], $n_decimales). "</td>";
					$sum_cc = $sum_cc + $matriz_cc [$c][5];
				}
				echo "</tr>";
				$sum_porc_cc = $sum_porc_cc + $matriz_cc [$c][3];
				if($fila_titulo_cc != $matriz_cc [$c+1][6]){
					echo "<tr><td colspan='2'>&nbsp;</td>";
					echo "<td align='right'><HR width='90%' align='right'>" . "</td>";
					echo "<td align='right'><HR width='90%' align='right'>" . "</td>";
					echo "<tr><td colspan='2'>&nbsp;</td>";
					echo "<td align='right'>&nbsp;&nbsp;&nbsp;&nbsp;" .number_format($sum_porc_cc, $n_descuento). "%" . "</td>";
					echo "<td align='right'>&nbsp;&nbsp;&nbsp;&nbsp;" .number_format($sum_cc, $n_decimales). "</td></tr>";
					$sum_cc = 0;
					$sum_porc_cc = 0;
				}
			}//fin for $c
			
			echo "</table></td>";
		}//fin if muestra_cc = 0
		printf("<td align='right'>%s</td>", number_format($debe_, $n_decimales));//debe
		printf("<td align='right'>%s</td></tr>", number_format($haber_, $n_decimales));//haber
		
		$suma_debe = $suma_debe + $debe_;
		$suma_haber = $suma_haber + $haber_;
		$color++;
	}//fin while 6
	mysqli_free_result($result6);
	
	//convierte el total en literal
	$letras=new NroEnLetra($suma_debe,2);
	
	$mostrar_letras = ucfirst($letras->getLetra());
	
	$busca_espacio = substr($mostrar_letras,-6,1);
	if($busca_espacio == ' ') {
		$fin_letras = substr($mostrar_letras,-5);
		$mostrar_letras = substr($mostrar_letras,0,-5);
		$mostrar_letras = $mostrar_letras .'0'. $fin_letras;
	}
	?>
	<tr BGCOLOR='#ffcccc'><td colspan="4"><b>Total &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <?php echo $mostrar_letras; ?> <?php echo $nom_moneda_letras; ?></b></td>
    <td align="right"><b><?php echo number_format($suma_debe, $n_decimales); ?></b></td>
    <td align="right"><b><?php echo number_format($suma_haber, $n_decimales); ?></b></td>
    </tr>
</tbody>    
</table>
<br />

<?php
    if($enabled2 == 0){
				printf("<table border='0' align='center' cellpadding='2' width='600'><tr><td align='center'><font color='#FF0000' size='+1'>ASIENTO ANULADO</font></td></tr></table>");
			}
	if($authorized2 == 0){
				printf("<table border='0' align='center' cellpadding='2' width='600'><tr><td align='center'><font color='#FF0000' size='+1'>ASIENTO PENDIENTE DE AUTORIZACI&Oacute;N</font></td></tr></table>");
			}
	} //fin if $control_vista_asiento = 1
}//fin if muestra_asiento 1
?>

<p>&nbsp;</p>
<br /><br /><br />
<table border="0" align="center" cellpadding="2" width="90%">
<tr>
<td align="center">----------------------------------------</td>
<td align="center">----------------------------------------</td>
<td align="center">----------------------------------------</td>
<td align="center">----------------------------------------</td>
</tr><tr>
<td align="center">Elaborado por: <?php echo $usuario_reg; ?></td>
<td align="center"><?php echo $firma_contabilidad; ?></td>
<td align="center"><?php echo $firma_gerencia; ?></td>
<td align="center"><?php echo $firma_interesado; ?></td>
</tr><tr>
<td align="left">Nombre:__________________________</td>
<td align="left">Nombre:__________________________</td>
<td align="left">Nombre:__________________________</td>
<td align="left">Nombre:__________________________</td>
</tr><tr>
<td align="left">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;C.I.:__________________________</td>
<td align="left">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;C.I.:__________________________</td>
<td align="left">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;C.I.:__________________________</td>
<td align="left">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;C.I.:__________________________</td>
</tr>
</table>

</body>
</html>
